GDAL

Public Attributes | List of all members
GDALGridMovingAverageOptions Struct Reference

Moving average method control options. More...

`#include <gdal_alg.h>`

## Public Attributes
size_t | nSizeOfStructure
double | dfRadius1
double | dfRadius2
double | dfAngle
GUInt32 | nMaxPoints
GUInt32 | nMinPoints
double | dfNoDataValue
GUInt32 | nMaxPointsPerQuadrant
GUInt32 | nMinPointsPerQuadrant

## Detailed Description

Moving average method control options.

## Member Data Documentation

## ◆ dfAngle

double GDALGridMovingAverageOptions::dfAngle

Angle of ellipse rotation in degrees.

Ellipse rotated counter clockwise.

## ◆ dfNoDataValue

double GDALGridMovingAverageOptions::dfNoDataValue

No data marker to fill empty points.

## ◆ dfRadius1

double GDALGridMovingAverageOptions::dfRadius1

The first radius (X axis if rotation angle is 0) of search ellipse.

## ◆ dfRadius2

double GDALGridMovingAverageOptions::dfRadius2

The second radius (Y axis if rotation angle is 0) of search ellipse.

## ◆ nMaxPoints

GUInt32 GDALGridMovingAverageOptions::nMaxPoints

Maximum number of data points to use.

Do not search for more points than this number.

## ◆ nMaxPointsPerQuadrant

GUInt32 GDALGridMovingAverageOptions::nMaxPointsPerQuadrant

Maximum number of data points to use for each of the 4 quadrants.

Do not search for more points than this number.

## ◆ nMinPoints

GUInt32 GDALGridMovingAverageOptions::nMinPoints

Minimum number of data points to average.

If less amount of points found the grid node considered empty and will be filled with NODATA marker.

## ◆ nMinPointsPerQuadrant

GUInt32 GDALGridMovingAverageOptions::nMinPointsPerQuadrant

Minimum number of data points to use for each of the 4 quadrants.

If less amount of points found the grid node considered empty and will be filled with NODATA marker.

## ◆ nSizeOfStructure

size_t GDALGridMovingAverageOptions::nSizeOfStructure

Added in GDAL 3.6 to detect potential ABI issues. Should be set to sizeof(GDALGridMovingAverageOptions)

The documentation for this struct was generated from the following file:

- gdal_alg.h